Dir instance methods for relative path

11/02/2009 05:48 PM - nobu (Nobuyoshi Nakada)

Status: Assigned   

Priority: Normal   

Assignee: nobu (Nobuyoshi Nakada)   

Target version:    

Description

なかだです。

http://www.ipa.go.jp/security/fy20/reports/tech1-tg/2_05.html を

みて思い出したんですが、相対パスを使うDirのインスタンスメソッド

はどうでしょうか。実装はmvmブランチにあります。

$ ./ruby -v -e 'p Dir.open("ext"){|d|d.open("extmk.rb"){|f|f.gets}}'

ruby 1.9.1 (2008-12-25 mvm 20976) [i686-linux]

"#! /usr/local/bin/ruby\n"

$ mkdir tmp

$ touch tmp/x tmp/y

$ ./ruby -e 'p Dir.open("tmp"){|d|d.unlink("x")}'

0

$ ls tmp/

y

 --

--- 僕の前にBugはない。

--- 僕の後ろにBugはできる。

中田 伸悦

Related issues:

Related to Ruby - Feature #10181: New method File.openat() Open

Has duplicate Ruby - Feature #2325: Dir instance methods for relative path Closed

History

#1 - 11/02/2009 06:22 PM - matz (Yukihiro Matsumoto)

まつもと ゆきひろです

In message "Re: [ruby-dev:39606] [Feature:trunk] Dir instance methods for relative path"

on Mon, 2 Nov 2009 17:48:13 +0900, Nobuyoshi Nakada nobu@ruby-lang.org writes:

http://www.ipa.go.jp/security/fy20/reports/tech1-tg/2_05.html を

みて思い出したんですが、相対パスを使うDirのインスタンスメソッド

はどうでしょうか。実装はmvmブランチにあります。

 openがあり、unlinkがあり、その他ディレクトリ以下のファイルを

操作するさまざまなメソッドがあるとなると(いくつ定義しました

か？)、なんかDirの役割がぼやけて来ませんかねえ。

反対というほどではないのですが。

#2 - 11/03/2009 09:10 PM - nobu (Nobuyoshi Nakada)

なかだです。

At Tue, 3 Nov 2009 00:51:18 +0900,

KOSAKI Motohiro wrote in [ruby-dev:39611]:

でも、上記メールから

open(dir, relative-path)

というメソッドでダメな理由がよく分かりませんでした。解説お願いしても
よいでしょうか？

 dirは、Dirかディレクトリに対応するFileのインスタンスということで

すか? それも可能だとは思いますが、Dir#to_pathも定義されるように

なったので区別が難しくなったんじゃないでしょうか。

--

--- 僕の前にBugはない。

--- 僕の後ろにBugはできる。

中田 伸悦

#3 - 11/04/2009 12:12 AM - naruse (Yui NARUSE)

- Status changed from Open to Closed

重複なので閉じます

#4 - 11/04/2009 12:12 AM - naruse (Yui NARUSE)

- Status changed from Closed to Open

おおう、先にduplicatedをつけてしまった

#5 - 12/02/2009 11:16 AM - naruse (Yui NARUSE)

- Priority changed from 3 to Normal

#6 - 04/02/2010 08:38 AM - znz (Kazuhiro NISHIYAMA)

- Category set to core

- Target version set to 2.0.0

- Start date set to 11/02/2009

#7 - 03/18/2012 02:44 PM - nahi (Hiroshi Nakamura)

- Description updated

- Assignee set to nobu (Nobuyoshi Nakada)

#8 - 03/18/2012 06:46 PM - shyouhei (Shyouhei Urabe)

- Status changed from Open to Assigned

#9 - 10/25/2012 09:54 PM - yhara (Yutaka HARA)

- Target version changed from 2.0.0 to 2.6

#10 - 08/28/2014 01:18 AM - nobu (Nobuyoshi Nakada)

- Description updated

#11 - 08/28/2014 01:21 AM - nobu (Nobuyoshi Nakada)

Related PR: GH-706

#12 - 08/28/2014 11:34 PM - nobu (Nobuyoshi Nakada)

- Related to Feature #10181: New method File.openat() added

#13 - 12/25/2017 05:58 PM - naruse (Yui NARUSE)

- Target version deleted (2.6)
